Ubuntu

Activity log for bug #917334

Date Who What changed Old value New value Message
2012-01-16 19:50:08 Martin Albisetti bug added bug
2012-01-16 20:00:35 Andrea Azzarone unity (Ubuntu): status New Invalid
2012-01-16 20:01:03 Andrea Azzarone affects unity (Ubuntu) unity-2d (Ubuntu)
2012-01-16 20:01:14 Andrea Azzarone unity-2d (Ubuntu): status Invalid Confirmed
2012-01-16 20:01:19 Andrea Azzarone bug task added unity-2d
2012-03-14 16:22:33 Florian Boucault unity-2d: importance Undecided High
2012-03-14 16:22:35 Florian Boucault unity-2d (Ubuntu): importance Undecided High
2012-03-14 16:22:37 Florian Boucault unity-2d: status New Confirmed
2012-03-14 16:22:40 Florian Boucault unity-2d: milestone 5.8
2012-03-14 16:23:13 Florian Boucault description A video will be worth a thousand words: http://ubuntuone.com/52EVJKJRh58uA2aaJiKsjZ Addition information I can add: - I have 3 terminator windows, one on each workspace - The workspace that has firefox is the one that the window I'm clicking is in - It happens consistently - I am apparently using unity 2d, no idea when it switched itself from 3d to 2d :) ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: unity (not installed) ProcVersionSignature: Ubuntu 3.2.0-9.16-generic-pae 3.2.1 Uname: Linux 3.2.0-9-generic-pae i686 .tmp.unity.support.test.0: ApportVersion: 1.90-0ubuntu2 Architecture: i386 CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgpng,resize,unitymtgrabhandles,snap,place,session,move,regex,mousepoll,gnomecompat,vpswitch,grid,animation,wall,expo,ezoom,workarounds,fade,scale,unityshell] CompositorRunning: None Date: Mon Jan 16 16:35:21 2012 DistUpgraded: Log time: 2011-12-02 01:23:39.533804 DistroCodename: precise DistroVariant: ubuntu EcryptfsInUse: Yes GraphicsCard: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller]) Subsystem: Dell Device [1028:0209] Subsystem: Dell Device [1028:0209] InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) MachineType: Dell Inc. XPS M1330 ProcEnviron: PATH=(custom, no user) LANG=en_US.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-9-generic-pae root=UUID=7879f0a9-2c49-4bde-b095-b134e2626300 ro quiet splash vt.handoff=7 SourcePackage: unity UpgradeStatus: Upgraded to precise on 2011-12-02 (45 days ago) dmi.bios.date: 07/08/2008 dmi.bios.vendor: Dell Inc. dmi.bios.version: A12 dmi.board.name: 0N6705 dmi.board.vendor: Dell Inc. dmi.chassis.type: 8 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA12:bd07/08/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn0N6705:rvr:cvnDellInc.:ct8:cvr: dmi.product.name: XPS M1330 dmi.sys.vendor: Dell Inc. version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu8 version.libdrm2: libdrm2 2.4.30-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu4 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu4 version.xserver-xorg-core: xserver-xorg-core 2:1.10.4-1ubuntu6 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1 A video will be worth a thousand words: http://ubuntuone.com/52EVJKJRh58uA2aaJiKsjZ Addition information I can add: - I have 3 terminator windows, one on each workspace - The workspace that has firefox is the one that the window I'm clicking is in - It happens consistently - I am apparently using unity 2d, no idea when it switched itself from 3d to 2d :) Steps to reproduce: 1. Open 2 nautilus windows on 2 separate workspaces 2. Open a window (e.g. firefox) on top of one of them 3. Go to the workspace containing the other nautilus window 4. Click on the nautilus icon in the launcher 5. Click on the nautilus window on the workspace where firefox is Expected result: Unity takes you to the workspace containing the nautilus window you clicked in, raises that window and focuses it. Current result: Unity takes you to the workspace containing the nautilus window you clicked in but focuses the window on top of it (firefox). ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: unity (not installed) ProcVersionSignature: Ubuntu 3.2.0-9.16-generic-pae 3.2.1 Uname: Linux 3.2.0-9-generic-pae i686 .tmp.unity.support.test.0: ApportVersion: 1.90-0ubuntu2 Architecture: i386 CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgpng,resize,unitymtgrabhandles,snap,place,session,move,regex,mousepoll,gnomecompat,vpswitch,grid,animation,wall,expo,ezoom,workarounds,fade,scale,unityshell] CompositorRunning: None Date: Mon Jan 16 16:35:21 2012 DistUpgraded: Log time: 2011-12-02 01:23:39.533804 DistroCodename: precise DistroVariant: ubuntu EcryptfsInUse: Yes GraphicsCard:  Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])    Subsystem: Dell Device [1028:0209]    Subsystem: Dell Device [1028:0209] InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) MachineType: Dell Inc. XPS M1330 ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-9-generic-pae root=UUID=7879f0a9-2c49-4bde-b095-b134e2626300 ro quiet splash vt.handoff=7 SourcePackage: unity UpgradeStatus: Upgraded to precise on 2011-12-02 (45 days ago) dmi.bios.date: 07/08/2008 dmi.bios.vendor: Dell Inc. dmi.bios.version: A12 dmi.board.name: 0N6705 dmi.board.vendor: Dell Inc. dmi.chassis.type: 8 dmi.chassis.vendor: Dell Inc. dmi.modalias: dmi:bvnDellInc.:bvrA12:bd07/08/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn0N6705:rvr:cvnDellInc.:ct8:cvr: dmi.product.name: XPS M1330 dmi.sys.vendor: Dell Inc. version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu8 version.libdrm2: libdrm2 2.4.30-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu4 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu4 version.xserver-xorg-core: xserver-xorg-core 2:1.10.4-1ubuntu6 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1
2012-03-14 16:23:22 Florian Boucault summary When multiple windows of an app are open, clicking on one doesn't bring it to the foreground [spread] When multiple windows of an app are open, clicking on one doesn't bring it to the foreground
2012-03-18 22:47:55 Florian Boucault unity-2d: assignee Florian Boucault (fboucault)
2012-03-23 14:42:07 Didier Roche unity-2d: milestone 5.8 5.10.0
2012-04-12 15:01:42 Didier Roche unity-2d: milestone 5.10.0 5.12
2012-04-16 11:05:29 Florian Boucault unity-2d: assignee Florian Boucault (fboucault)
2012-04-16 13:09:17 Albert Astals Cid unity-2d: assignee Albert Astals Cid (aacid)
2012-04-17 08:23:15 Albert Astals Cid unity-2d: status Confirmed In Progress
2012-04-17 08:23:33 Albert Astals Cid branch linked lp:~aacid/unity-2d/spread_focus
2012-04-18 14:55:16 Albert Astals Cid unity-2d: status In Progress Fix Committed
2012-04-27 12:01:59 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2012-04-27 12:02:57 Didier Roche nominated for series Ubuntu Precise
2012-04-27 12:02:57 Didier Roche bug task added unity-2d (Ubuntu Precise)
2012-04-27 12:25:44 Didier Roche unity-2d: status Fix Committed Fix Released
2012-04-27 12:32:19 Launchpad Janitor branch linked lp:unity-2d
2012-04-27 13:17:43 Martin Pitt unity-2d (Ubuntu Precise): status New Fix Committed
2012-04-27 13:17:47 Martin Pitt bug added subscriber SRU Verification
2012-04-27 13:17:54 Martin Pitt tags apport-bug i386 precise regression reproducible running-unity ubuntu apport-bug i386 precise regression reproducible running-unity ubuntu verification-needed
2012-04-29 21:31:21 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/unity-2d
2012-05-02 20:46:51 Bartosz Kosiorek unity-2d (Ubuntu Precise): importance Undecided High
2012-05-02 20:46:52 Bartosz Kosiorek unity-2d (Ubuntu Precise): assignee Bartosz Kosiorek (gang65)
2012-05-02 20:47:01 Bartosz Kosiorek tags apport-bug i386 precise regression reproducible running-unity ubuntu verification-needed apport-bug i386 precise regression reproducible running-unity ubuntu verification-done
2012-05-08 00:22:17 Launchpad Janitor unity-2d (Ubuntu): status Confirmed Fix Released
2012-05-08 00:27:07 Launchpad Janitor unity-2d (Ubuntu Precise): status Fix Committed Fix Released